#include "pch.h"
#include "ompmql.h"
#include "omp.h"

void test_openmp(const double* x, const double* y, double* z, const int row, const int col) {
	int i = 0;
#pragma omp parallel for
	for (i = 0; i < row; i++) {
		int n = i * col;
		for (int j = 0; j < col; j++) {
			z[i] += x[n + j] * y[j];
		}
	}
}